Bug 1765728 - Review Request: gap-pkg-fining - Finite incidence geometry
Summary: Review Request: gap-pkg-fining - Finite incidence geometry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-25 20:04 UTC by Jerry James
Modified: 2019-11-21 01:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-21 01:24:40 UTC
Type: ---
Embargoed:
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2019-10-25 20:04:05 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-fining/gap-pkg-fining.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-fining/gap-pkg-fining-1.4.1-1.fc32.src.rpm
RPMLINTRC URL: https://jjames.fedorapeople.org/gap-pkg-fining/gap-pkg-fining.rpmlintrc
Fedora Account System Username: jjames
Description: This package provides functionality:
- to create and explore finite incidence structures, such as finite
  projective spaces, finite classical polar spaces, generalized
  polygons, coset geometries, finite affine spaces, and many more;
- to explore algebraic varieties in finite projective and finite affine
  spaces;
- that deals with the automorphism groups of incidence structures, and
  functionality integrating these automorphism groups with the group
  theoretical capabilities of GAP;
- to explore various morphisms between finite incidence structures.

Comment 1 Ankur Sinha (FranciscoD) 2019-11-11 12:56:56 UTC
Looks good. Minor issues, but not blockers: XXX APPROVED XXX

- Cosmetic: Maybe worth adding this sentence to the description: "FinInG is a
  GAP package for computation in Finite Incidence Geometry developed by John
  Bamberg, Anton Betten, Philippe Cara, Jan De Beule, Michel Lavrauw and Max
  Neunhoeffer." It clarifies what FinInG stands for (and gives credit to the
  authors---this particular bit is optional).

- Please consider asking upstream to include a LICENSE file.

- gap-pkg-fining-doc.noarch: W: only-non-binary-in-usr-lib
^
%{_gap_dir} is /usr/lib/gap, right? Is there a /usr/share/gap variant for
noarch bits? I expect not?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
^ They don't include the license, worth poking them about it.

[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
^
Worth doing when you have the time.

[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
^
Not tested this.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-fining-1.4.1-1.fc32.noarch.rpm
          gap-pkg-fining-doc-1.4.1-1.fc32.noarch.rpm
          gap-pkg-fining-1.4.1-1.fc32.src.rpm
gap-pkg-fining.noarch: W: spelling-error %description -l en_US projective -> protective, projectile, projection
gap-pkg-fining.noarch: W: spelling-error %description -l en_US coset -> cotes, cost, cosset
gap-pkg-fining.noarch: W: spelling-error %description -l en_US affine -> caffeine, fine
gap-pkg-fining.noarch: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-fining.noarch: W: spelling-error %description -l en_US morphisms -> morph isms, morph-isms, isomorphic
^
False positives: (Ignored by rpmlintrc)

gap-pkg-fining.noarch: W: only-non-binary-in-usr-lib
gap-pkg-fining-doc.noarch: W: only-non-binary-in-usr-lib
^
%{_gap_dir} is /usr/lib/gap -> is there a /usr/share/gap variant for noarch packages? I expect not?

gap-pkg-fining-doc.noarch: W: no-documentation
gap-pkg-fining-doc.noarch: E: zero-length /usr/lib/gap/pkg/fining/examples/include/gpolygons_elements.include
gap-pkg-fining-doc.noarch: E: zero-length /usr/lib/gap/pkg/fining/examples/include/morphisms_fieldreduc1.g.include
^
False positives: (Ignored by rpmlintrc)

gap-pkg-fining.src: W: spelling-error %description -l en_US projective -> protective, projectile, projection
gap-pkg-fining.src: W: spelling-error %description -l en_US coset -> cotes, cost, cosset
gap-pkg-fining.src: W: spelling-error %description -l en_US affine -> caffeine, fine
gap-pkg-fining.src: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-fining.src: W: spelling-error %description -l en_US morphisms -> morph isms, morph-isms, isomorphic
3 packages and 0 specfiles checked; 2 errors, 13 warnings.


Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
gap-pkg-fining-doc.noarch: W: invalid-url URL: http://www.fining.org/ <urlopen error [Errno -2] Name or service not known>
gap-pkg-fining-doc.noarch: W: only-non-binary-in-usr-lib
gap-pkg-fining-doc.noarch: W: no-documentation
gap-pkg-fining-doc.noarch: E: zero-length /usr/lib/gap/pkg/fining/examples/include/gpolygons_elements.include
gap-pkg-fining-doc.noarch: E: zero-length /usr/lib/gap/pkg/fining/examples/include/morphisms_fieldreduc1.g.include
gap-pkg-fining.noarch: W: spelling-error %description -l en_US projective -> protective, projectile, projection
gap-pkg-fining.noarch: W: spelling-error %description -l en_US coset -> cotes, cost, cosset
gap-pkg-fining.noarch: W: spelling-error %description -l en_US affine -> caffeine, fine
gap-pkg-fining.noarch: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-fining.noarch: W: spelling-error %description -l en_US morphisms -> morph isms, morph-isms, isomorphic
gap-pkg-fining.noarch: W: invalid-url URL: http://www.fining.org/ <urlopen error [Errno -2] Name or service not known>
gap-pkg-fining.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 2 errors, 10 warnings.



Source checksums
----------------
https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/fining-1.4.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : da59e924ec9f253f5ff898043552adbf3b690d1805fd7c18b4ad4389854e25b6
  CHECKSUM(SHA256) upstream package : da59e924ec9f253f5ff898043552adbf3b690d1805fd7c18b4ad4389854e25b6


Requires
--------
gap-pkg-fining (rpmlib, GLIBC filtered):
    gap-pkg-cvec
    gap-pkg-forms
    gap-pkg-genss
    gap-pkg-grape

gap-pkg-fining-doc (rpmlib, GLIBC filtered):
    gap-online-help
    gap-pkg-fining



Provides
--------
gap-pkg-fining:
    gap-pkg-fining

gap-pkg-fining-doc:
    gap-pkg-fining-doc



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1765728
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, Shell-api
Disabled plugins: PHP, Java, C/C++, SugarActivity, Perl, R, Ocaml, Haskell, Python, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Jerry James 2019-11-11 21:06:26 UTC
Thank you for the review, Ankur.

(In reply to Ankur Sinha (FranciscoD) from comment #1)
> Looks good. Minor issues, but not blockers: XXX APPROVED XXX
> 
> - Cosmetic: Maybe worth adding this sentence to the description: "FinInG is a
>   GAP package for computation in Finite Incidence Geometry developed by John
>   Bamberg, Anton Betten, Philippe Cara, Jan De Beule, Michel Lavrauw and Max
>   Neunhoeffer." It clarifies what FinInG stands for (and gives credit to the
>   authors---this particular bit is optional).

Okay, that's a good idea.  I will add it.

> - Please consider asking upstream to include a LICENSE file.

I will do this, also.

> - gap-pkg-fining-doc.noarch: W: only-non-binary-in-usr-lib
> ^
> %{_gap_dir} is /usr/lib/gap, right? Is there a /usr/share/gap variant for
> noarch bits? I expect not?

There is not.  When gap 4.11 is released, I plan to do an overhaul of the GAP ecosystem.  It will include creating both %{_libdir}/gap for packages with binary bits and %{_datadir}/gap for packages without.  It's going to take a little bit of work, but I think it should be doable.  Right now, though, everything has to go into the same root directory, hence /usr/lib/gap.

Comment 3 Gwyn Ciesla 2019-11-11 21:16:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gap-pkg-fining

Comment 4 Fedora Update System 2019-11-12 15:44:01 UTC
FEDORA-2019-9f12aa35e5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f12aa35e5

Comment 5 Fedora Update System 2019-11-13 10:52:48 UTC
gap-pkg-fining-1.4.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f12aa35e5

Comment 6 Fedora Update System 2019-11-21 01:24:40 UTC
gap-pkg-fining-1.4.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.